Bug 167752 - Either diskdumputils should be removed or diskdumps supported
Either diskdumputils should be removed or diskdumps supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: diskdumputils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira Imamura
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 16:19 EDT by Göran Uddeborg
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2005-09-07 16:19:04 EDT
Description of problem:
When trying to set up diskdump on an FC4 system, the configuration steps work as
expected.  But when trying to start the service, there is a complaint about the
module scsi_dump not being found.  The script would also try to load block_dump,
which isn't present either.

According to bug 167175 this is expected.  Diskdump isn't supposed to be
supported in FC4.  But then it seems very strange to include the package
diskdumputils in the distribution.  Its presence implies that diskdump would be
supported.  Why else would it be there?

I suggest either diskdump becomes supported (preferrably) by including the
needed kernel modules.  Otherwise, that the diskdumputils package is removed. 
It could save some of us some hours of work of finding a supported controller
card, finding an unused disk, mounting and connecting things, just to find out
at the end that it won't run anyway.
Comment 1 Rahul Sundaram 2005-09-07 21:33:12 EDT

2.6.13 kernel in the development tree has kexec/kdump which might be a good
alternative
Comment 2 Christian Iseli 2007-01-22 05:43:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Göran Uddeborg 2007-01-22 12:31:53 EST
The package is still there, and the kernel modules are still missing, so I guess
nothing has changed.
Comment 5 Göran Uddeborg 2007-01-22 12:46:08 EST
Ok, then we can consider it fixed in "rawhide".  (I never seem to catch up in
fedora-devel! :-/)

Note You need to log in before you can comment on or make changes to this bug.